v7.0
get
/ec-ors-svc/rest/v7.0/studies/{studyId}/{mode}/sites/{siteId}/inventory/kits
Retrieves kits for a site based on a given number range. Kit Range should be specified in the format as KIT_NUMBER:{From Kit number}:{To Kit number}. e.g. KIT_NUMBER:1:100.
Rights: OrsInventoryGet and either OrsUnblinded or OrsBlinded.
Rights: OrsInventoryGet and either OrsUnblinded or OrsBlinded.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
siteId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the clinical site.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Query Parameters
-
inventoryStatusId(required): array[integer]
List of inventory status IDs.
-
kitRange(required): string
Range of the kit.
-
limit: string
Maximum number of records to display per page.Default Value:
100 -
offset: string
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Default Value:
0 -
searchString(required): string
Search string.
-
subjectId(required): string(uuid)
Unique subject identifier (UUID, 32-character uppercase hexadecimal string) representing the patient/participant enrolled in the study.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : Site Kit Details Response
Type:
objectTitle:
Site Kit Details ResponseContains site kit detail.
Show Source
-
count: integer
(int64)
Total count of result
-
hasMore: boolean
Attribute describes if result set has more recordsExample:
true -
kits: array
Kits
Title:
KitsContains site user inventory. -
limit: integer
(int64)
Maximum number of records to display per page.
-
links: array
links
-
maxKitNumber: integer
(int32)
Title:
Maximum Kit NumberMaximum Kit number.Example:10 -
minKitNumber: integer
(int32)
Title:
Minimum Kit NumberMinimum Kit number.Example:10 -
offset: integer
(int64)
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Example:
400 -
totalResults: integer
(int64)
Total number of entities in response
Nested Schema : Kits
Type:
arrayTitle:
KitsContains site user inventory.
Show Source
-
Array of:
object SiteUserInventoryTO
Title:
SiteUserInventoryTOContains site inventory detail.
Nested Schema : SiteUserInventoryTO
Type:
objectTitle:
SiteUserInventoryTOContains site inventory detail.
Show Source
-
comment: string
Title:
CommentComment for shipment.Example:Some description -
id: string
(uuid)
Title:
Inventory IDUnique ID for inventory. -
inventoryStatus: string
Title:
Inventory StatusInventory status.Example:Dispensed -
inventoryStatusId: integer
(int32)
Title:
Inventory Status IDAllowed Values:[ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20 ]Unique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).Example:10 -
kitNumber: number
(double)
Title:
Kit NumberKit/Lot number.Example:10 -
receivedDate: string
(date-time)
Title:
Received DateShipment received date.Example:2016-11-14T23:36:32.079Z -
shipmentId: string
(uuid)
Title:
Shipment IDOrder (shipment) ID. -
shipmentNumber: string
Title:
Shipment NumberShipment number.Example:12345
Nested Schema : RelLink
Type:
objectObject contains link detail.
Show Source
-
href: string
Realtive URL
-
rel: string
link
400 Response
For invalid kit range format
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
For invalid study ID OR study still in design phase OR invalid site ID OR invalid subject ID
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object